Skip to content
Last updated

title: Create User keywords:

  • create user
  • post
  • create
  • user

Create a new user.

POSThttps://api.aitronos.com/v1/user/

Request Body

email string required

The email parameter.

first_name string optional

The first name parameter.

last_name string optional

The last name parameter.

password string required

Password (min 8 characters)


Returns

email string

Email

first_name string or null

First Name

last_name string or null

Last Name

id string

User ID with usr_ prefix

is_active boolean

Is Active

last_verified string or null

Last Verified

global_role_id string or null

Global Role Id

created_at string

Created At

updated_at string

Updated At

cURL
curl -X POST "https://api.aitronos.com/v1/user/" \
  -H "X-API-Key: $FREDDY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "your_email",
  "password": "your_password"
}'

Response:

201 OK
{
  "email": "user@example.com",
  "first_name": "example_first_name",
  "last_name": "example_last_name",
  "id": "usr_abc123def456",
  "is_active": true,
  "last_verified": "2025-11-15T10:30:00Z",
  "global_role_id": "abc123def456",
  "created_at": "2025-11-15T10:30:00Z",
  "updated_at": "2025-11-15T10:30:00Z"
}